@echo off

REM==========================================
REM========ドライバーインストール============
REM========                      ============
REM==========================================

set SETUPFILE1=%~dp0APC4570ハガキ\setup.exe
set SETUPFILE2=%~dp0APC4570喪中\setup.exe
set SETUPFILE3=%~dp0APC4570普通紙手差し\setup.exe
set SETUPFILE4=%~dp0APC4570名刺\setup.exe



REM 事前にファイルの有無を確認

if not exist %SETUPFILE1% (
	set SETUPFILE=%SETUPFILE1%
	goto EXISTERR
)
if not exist %SETUPFILE2% (
	set SETUPFILE=%SETUPFILE2%
	goto EXISTERR
)
if not exist %SETUPFILE3% (
	set SETUPFILE=%SETUPFILE3%
	goto EXISTERR
)
if not exist %SETUPFILE4% (
	set SETUPFILE=%SETUPFILE4%
	goto EXISTERR
)


REM インストール
echo ドライバーセットアップ
echo.
echo %MESSAGEWORD%

echo ドライバーインストール中（1/4）
start /wait %SETUPFILE1%
if errorlevel 1 (goto ERROREND)

echo ドライバーインストール中（2/4）
start /wait %SETUPFILE2%
if errorlevel 1 (goto ERROREND)

echo ドライバーインストール中（3/4）
start /wait %SETUPFILE3%
if errorlevel 1 (goto ERROREND)

echo ドライバーインストール中（4/4）
start /wait %SETUPFILE4%
if errorlevel 1 (goto ERROREND)


echo.
echo　インストール完了しました。 何かキーを押すと終了します。
pause>nul


exit

:EXISTERR
echo ！！！ 「%SETUPFILE%」が見つかりませんでした。 何かキーを押すと終了します ！！！
pause>nul
exit

:ERROREND
echo.
echo　＊＊＊ インストール中にエラーが発生しました 何かキーを押すと終了します ＊＊＊
pause>nul
exit
:END
